Bug 1103194 - python-django-reversion-1.10.2 is available
Summary: python-django-reversion-1.10.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-reversion
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2014-05-30 13:09 UTC by Upstream Release Monitoring
Modified: 2016-06-13 08:03 UTC (History)
2 users (show)

Fixed In Version: python-django-reversion-2.0.0-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 08:03:30 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.25 KB, patch)
2016-04-18 12:12 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2014-05-30 13:09:22 UTC
Latest upstream release: 1.8.1
Current version/release in Fedora Rawhide: 1.8.0-1.fc21
URL: https://pypi.python.org/packages/source/d/django-reversion/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-08-04 21:20:36 UTC
Latest upstream release: 1.8.2
Current version/release in Fedora Rawhide: 1.8.0-2.fc21
URL: https://pypi.python.org/packages/source/d/django-reversion/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-09-06 16:35:42 UTC
Latest upstream release: 1.8.3
Current version/release in Fedora Rawhide: 1.8.0-2.fc21
URL: https://pypi.python.org/packages/source/d/django-reversion/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 3 Upstream Release Monitoring 2014-09-07 12:08:36 UTC
Latest upstream release: 1.8.4
Current version/release in Fedora Rawhide: 1.8.0-2.fc21
URL: https://pypi.python.org/packages/source/d/django-reversion/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 4 Upstream Release Monitoring 2014-11-01 09:50:06 UTC
Latest upstream release: 1.8.5
Current version/release in Fedora Rawhide: 1.8.0-2.fc21
URL: https://pypi.python.org/packages/source/d/django-reversion/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 5 Upstream Release Monitoring 2015-05-21 12:25:27 UTC
Latest upstream release: 1.8.7
Current version/release in rawhide: 1.8.0-2.fc21
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-05-21 12:25:35 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-bcQ_y4/python-django-reversion.spec
return code:  22
stdout:
Getting http://github.com/downloads/etianen/django-reversion/django-reversion-1.8.7.tar.gz to ./django-reversion-1.8.7.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 7 Upstream Release Monitoring 2015-08-04 12:10:42 UTC
Latest upstream release: 1.9.1
Current version/release in rawhide: 1.8.0-3.fc23
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-08-04 12:10:51 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-hPElNV/python-django-reversion.spec
return code:  22
stdout:
Getting http://github.com/downloads/etianen/django-reversion/django-reversion-1.9.1.tar.gz to ./django-reversion-1.9.1.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 9 Upstream Release Monitoring 2015-08-08 00:10:53 UTC
Latest upstream release: 1.9.3
Current version/release in rawhide: 1.8.0-3.fc23
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 10 Upstream Release Monitoring 2015-08-08 00:11:00 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-zbE_sG/python-django-reversion.spec
return code:  22
stdout:
Getting http://github.com/downloads/etianen/django-reversion/django-reversion-1.9.3.tar.gz to ./django-reversion-1.9.3.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 11 Upstream Release Monitoring 2015-12-02 12:12:56 UTC
Latest upstream release: 1.10.0
Current version/release in rawhide: 1.8.0-3.fc23
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-12-02 12:13:02 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-U97S8G/python-django-reversion.spec
return code:  22
stdout:
Getting http://github.com/downloads/etianen/django-reversion/django-reversion-1.10.0.tar.gz to ./django-reversion-1.10.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 13 Upstream Release Monitoring 2016-01-28 00:14:30 UTC
Latest upstream release: 1.10.1
Current version/release in rawhide: 1.8.0-3.fc23
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2016-01-28 00:14:36 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-XqSsLB/python-django-reversion.spec
return code:  22
stdout:
Getting http://github.com/downloads/etianen/django-reversion/django-reversion-1.10.1.tar.gz to ./django-reversion-1.10.1.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 15 Tomas Orsava 2016-02-24 13:07:29 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 16 Upstream Release Monitoring 2016-04-18 12:12:30 UTC
Latest upstream release: 1.10.2
Current version/release in rawhide: 1.8.0-4.fc24
URL: https://pypi.python.org/pypi/django-reversion

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3842/

Comment 17 Upstream Release Monitoring 2016-04-18 12:12:43 UTC
Patching or scratch build for python-django-reversion-1.8.0 failed.

Comment 18 Upstream Release Monitoring 2016-04-18 12:12:45 UTC
Created attachment 1148191 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 19 Upstream Release Monitoring 2016-04-18 12:12:46 UTC
Patches were not touched. All were applied properly


Note You need to log in before you can comment on or make changes to this bug.